#include <stdio.h>
#include <stdbool.h>
#include <string.h>
#include <stdlib.h>

#define MAX_LEN 200003

int main() {
    int podniska_len_min = 1;
    int b_lokacija1 = -1;
    int b_lokacija2 = -1;
    int len = 0;

    char niska[MAX_LEN];

    scanf("%s", niska);

    len = strlen(niska);

    for (int i = 0; i<len; i++) {
        if (niska[i] == 'b') {
            if (b_lokacija1 < 0) {
                b_lokacija1 = i;
            }
            b_lokacija2 = i;
        }
    }

    int buduca_b1;
    int buduca_b2;

    if (b_lokacija1 >= len/2) {
        buduca_b1 = len-1-b_lokacija2;
        podniska_len_min = abs(b_lokacija1 - buduca_b1) + 1;
    } else {
        buduca_b2 = len-1-b_lokacija1;
        podniska_len_min = abs(b_lokacija2 - buduca_b2) + 1;
    }  

    printf("%d\n", podniska_len_min);

    return 0;
}